Agents
List agent templates
List reusable agent templates and their configuration requirements.
GET
/
v1
/
agents
/
templates
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const template = await client.agents.templates.list({
limit: 50,
});curl --request GET \
--url https://api.tembo.io/v1/agents/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/agents/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/agents/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/agents/templates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"name": "addTestCoverage",
"title": "<string>",
"description": "<string>",
"label": "Code Review",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"connectedApps": [
"<string>"
],
"agent": "<string>",
"artifactType": "PullRequest",
"triggers": [
{
"name": "<string>",
"displayName": "<string>",
"integrationType": "<string>",
"filters": {
"projects": [
"<string>"
],
"boards": [
"<string>"
],
"statuses": [
"<string>"
],
"assignedTo": [
"<string>"
],
"labels": [
"<string>"
],
"includeNewIssues": true
}
}
],
"schedules": [
"<string>"
],
"requiredParams": [
"repository"
]
}
],
"nextCursor": "addTestCoverage"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
addTestCoverage, addTestCoverageFromJira, autoAgentsMdMaintainer, autoDocsMaintainer, commitOfTheDay, customerHealthMonitoringAgent, deadCodeCleanup, dependencySweepAgent, autoFixCi, autoFixSentryError, dailySlackChangelog, duplicateTicketDetector, fixBugsReportedInSlack, enrichGithubIssue, enrichJiraIssue, enrichLinearIssue, hubspotCallTaskCoach, hubspotEmailTaskDrafter, hubspotTicketToLinearBug, prDescription, prReview, pagePerformanceReport, prioritizeSentry, productFaqAgent, productFinanceAgent, queryPerformanceReport, securityFixFromJira, securityScan, skillProgressionMap, slackChannelListener, slopCop, testAudit, staleCodeComments, stalePullRequestNotifier, summarizeChangesDaily, triageNewJiraBug Required range:
1 <= x <= 100Response
List agent templates
Show child attributes
Show child attributes
Available options:
addTestCoverage, addTestCoverageFromJira, autoAgentsMdMaintainer, autoDocsMaintainer, commitOfTheDay, customerHealthMonitoringAgent, deadCodeCleanup, dependencySweepAgent, autoFixCi, autoFixSentryError, dailySlackChangelog, duplicateTicketDetector, fixBugsReportedInSlack, enrichGithubIssue, enrichJiraIssue, enrichLinearIssue, hubspotCallTaskCoach, hubspotEmailTaskDrafter, hubspotTicketToLinearBug, prDescription, prReview, pagePerformanceReport, prioritizeSentry, productFaqAgent, productFinanceAgent, queryPerformanceReport, securityFixFromJira, securityScan, skillProgressionMap, slackChannelListener, slopCop, testAudit, staleCodeComments, stalePullRequestNotifier, summarizeChangesDaily, triageNewJiraBug, null Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const template = await client.agents.templates.list({
limit: 50,
});curl --request GET \
--url https://api.tembo.io/v1/agents/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/agents/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/agents/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/agents/templates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"name": "addTestCoverage",
"title": "<string>",
"description": "<string>",
"label": "Code Review",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"connectedApps": [
"<string>"
],
"agent": "<string>",
"artifactType": "PullRequest",
"triggers": [
{
"name": "<string>",
"displayName": "<string>",
"integrationType": "<string>",
"filters": {
"projects": [
"<string>"
],
"boards": [
"<string>"
],
"statuses": [
"<string>"
],
"assignedTo": [
"<string>"
],
"labels": [
"<string>"
],
"includeNewIssues": true
}
}
],
"schedules": [
"<string>"
],
"requiredParams": [
"repository"
]
}
],
"nextCursor": "addTestCoverage"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}